Part Ellipse/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(21 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav/ru
|[[Part_Circle/ru|Окружность]]
|[[Part_Point/ru|Точка(Вершина)]]
|[[Part_Workbench/ru|Part(Деталь)]]
|IconL=Part_Circle.svg
|IconR=Part_Point.svg
|IconC=Workbench_Part.svg
}}

{{GuiCommand/ru
{{GuiCommand/ru
|Name=Part Ellipse
|Name=Part Ellipse
|Name/ru=Эллипс
|Name/ru=Эллипс
|MenuLocation=Деталь → [[Part_CreatePrimitives/ru|Создать примитивы...]] → Эллипс
|MenuLocation=Деталь → [[Part_Primitives/ru|Создать примитивы...]] → Эллипс
|Workbenches=[[Part Module/ru|Part]], [[OpenSCAD_Module/ru|OpenSCAD]]
|Workbenches=[[Part_Workbench/ru|Part(Деталь)]], [[OpenSCAD_Workbench/ru|OpenSCAD]]
|SeeAlso=..
|SeeAlso=..
}}
}}


== Description ==
== Описание ==
An Ellipse geometric primitive is available from the Create Primitives dialogue in the Part workbench.


<div class="mw-translate-fuzzy">
The Create Primitives dialogue can be accessed via the [[Part_CreatePrimitives|CreatePrimitives]] icon [[Image:Part_CreatePrimitives.png|32px]] located in the Part menu or the Part toolbar, in the Part Workbench.
Эта команда создаёт эллиптическое изогнутое ребро. При значениях по умолчанию эллиптическое изогнутое ребро будет замкнуто и, следовательно, будет эллипсом. Если свойства Угол(Angle)1 или Угол(Angle)2 отличаются от значений по умолчанию (0 и 360), ребро будет открытой кривой.
</div>


A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.
This command will create a elliptical curved edge. With the default values, the elliptical curved edge will be closed and therefore will be an ellipse. If the properties Angle 1 or Angle 2 are changed from their default values (0 and 360) the edge will be an open curve.


[[Image:Part_Ellipse_Example.png|400px]]
==Properties==

* '''Major radius:''' the major radius of the ellipse, the default value is 4
== Применение ==
* '''Minor radius:''' the minor radius of the ellipse, the default value is 2

* '''Angle 1:''' start of the edge of the ellipse or elliptical curved edge, (degrees anti-clockwise), the default value is 0
See [[Part_Primitives#Usage|Part Primitives]].
* '''Angle 2:''' end of the edge of the ellipse or elliptical curved edge, (degrees anti-clockwise), the default value is 360

== Example ==

[[Image:Part_Ellipse_Scripting_Example.png|thumb|Part Ellipse from the scripting example]]

A Part Ellipse object created with the [[#Scripting|scripting example]] below is shown here.

== Properties ==

See also: [[Property_editor|Property editor]].

A Part Ellipse object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

* {{PropertyData|MajorRadius|Length}}: The major radius of the ellipse or elliptical arc. The default is {{Value|4mm}}.
* {{PropertyData|MinorRadius|Length}}: The minor radius of the ellipse or elliptical arc. The default is {{Value|2mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the elliptical arc. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|0°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the elliptical arc. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If {{PropertyData|Angle1}} and {{PropertyData|Angle2}} are equal, or if one angle is {{Value|0°}} and the other {{Value|360°}}, a full ellipse is created.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Ellipse can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
}}

* Where {{Incode|"myEllipse"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}


{{Docnav/ru
|[[Part_Circle/ru|Окружность]]
|[[Part_Point/ru|Точка(Вершина)]]
|[[Part_Workbench/ru|Part(Деталь)]]
|IconL=Part_Circle.svg
|IconR=Part_Point.svg
|IconC=Workbench_Part.svg
}}


{{Part_Tools_navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:26, 3 March 2022

Эллипс

Системное название
Part Ellipse
Расположение в меню
Деталь → Создать примитивы... → Эллипс
Верстаки
Part(Деталь), OpenSCAD
Быстрые клавиши
Нет
Представлено в версии
-
См. также
..

Описание

Эта команда создаёт эллиптическое изогнутое ребро. При значениях по умолчанию эллиптическое изогнутое ребро будет замкнуто и, следовательно, будет эллипсом. Если свойства Угол(Angle)1 или Угол(Angle)2 отличаются от значений по умолчанию (0 и 360), ребро будет открытой кривой.

A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its ДанныеAngle1 and/or ДанныеAngle2 properties.

Применение

See Part Primitives.

Example

Part Ellipse from the scripting example

A Part Ellipse object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Ellipse object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • ДанныеMajorRadius (Length): The major radius of the ellipse or elliptical arc. The default is 4mm.
  • ДанныеMinorRadius (Length): The minor radius of the ellipse or elliptical arc. The default is 2mm.
  • ДанныеAngle1 (Angle): The start angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is .
  • ДанныеAngle2 (Angle): The end angle of the elliptical arc. Valid range: 0° < value <= 360°. The default is 360°. If ДанныеAngle1 and ДанныеAngle2 are equal, or if one angle is and the other 360°, a full ellipse is created.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipse can be created with the addObject() method of the document:

ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
  • Where "myEllipse" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()